Package org.osgi.service.log

# Interface LoggerConsumer<E extends Exception>

Type Parameters:
  `E` - The type of the exception that may be thrown.

Functional Interface:
  This is a functional interface and can therefore be used as the assignment target for a lambda expression or method reference.

@ConsumerType @FunctionalInterface public interface LoggerConsumer<E extends Exception>
An operation that accepts a `Logger` argument and produces no result.

This is a functional interface and can be used as the assignment target for a lambda expression or method reference.

Since:
  1.4

## Method Summary

Modifier and Type
Method
Description
`void`
`accept(Logger l)`
Perform this operation on the specified `Logger`.

## Method Details

### accept

void accept(Logger l) throws E
Perform this operation on the specified `Logger`.

Parameters:
  `l` - The `Logger` input to this operation.
Throws:
  `E` - An exception thrown by the operation.